<?php

namespace AMZcockpitDoctrine\Repository;

/**
 * HelpdeskQuestionRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class HelpdeskQuestionRepository extends \Doctrine\ORM\EntityRepository
{
    public function getQuestionsSearch($search) {

        $qb = $this->createQueryBuilder('q')
            ->select('q');
        $qb->andWhere($qb->expr()->eq('q.enabled',':enabled'))->setParameter('enabled',true);
        $qb->andWhere(
            $qb->expr()->orX(
                $qb->expr()->like('q.title',':search'),
                $qb->expr()->like('q.body',':search')
            )
        )
        ->setParameter('search','%'.$search.'%');
        $qb->orderBy('q.title','ASC');

        return  $qb->getQuery()->getResult();
    }
}
